unit Ei_demo;

{$H-}

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, Buttons, DB;

type
  TMainForm = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    img_Import: TImage;
    img_Export: TImage;
    Label1: TLabel;
    Label2: TLabel;
    BitBtn1: TBitBtn;
    pnl_Status: TPanel;
    Database1: TDatabase;
    procedure img_ExportClick(Sender: TObject);
    procedure img_ImportClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

uses expdemo, impdemo;

{$R *.DFM}
var
db_Demo: Tdatabase;

procedure TMainForm.img_ExportClick(Sender: TObject);
begin
pnl_Status.caption := ' Loading Export Component Demo........';
pnl_Status.refresh;
screen.cursor:=crHourglass;
  try
    with TexportForm.create(self) do
    begin
    screen.cursor:=crDefault;
    showmodal;
    release;
    end;
  finally
  pnl_Status.caption := '';
  pnl_Status.refresh;
  screen.cursor:=crDefault;
  end;
end;

procedure TMainForm.img_ImportClick(Sender: TObject);
begin
pnl_Status.caption := ' Loading Import Component Demo........';
pnl_Status.refresh;
screen.cursor:=crHourglass;
  try
    with TimportForm.create(self) do
    begin
    screen.cursor:=crDefault;
    showmodal;
    release;
    end;
  finally
  pnl_Status.caption := '';
  pnl_Status.refresh;
  screen.cursor:=crDefault;
  end;
end;

procedure TMainForm.FormCreate(Sender: TObject);
var
s:string;
begin
  with Database1 do
  begin
  DatabaseName := 'EXIMDEMO';
  DriverName := 'STANDARD';
  Params.clear;
  s := ExtractFilePath(Application.exename);
  Params.Add('PATH='+s);
  connected := true;
  end;
end;

end.
